Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.metadata
Class JBossXMBean10

    java.lang.Object
      org.jboss.mx.metadata.AbstractBuilder
          org.jboss.mx.metadata.JBossXMBean10

All Implemented Interfaces:
  MetaDataBuilder, ModelMBeanConstants, XMBeanConstants

public class JBossXMBean10
extends AbstractBuilder
implements XMBeanConstants

The JBoss 1.0 model mbean descriptor parser class.

Version:
  $Revision: 1.23.2.3 $
Author:
  Matt Munz, Scott.Stark@jboss.org, Dimitris Andreadis

Field Summary

Fields inherited from class org.jboss.mx.metadata.AbstractBuilder
`properties`

Fields inherited from interface org.jboss.mx.modelmbean.XMBeanConstants
`DESCRIPTOR, GET_METHOD_ATTRIBUTE, METADATA_DESCRIPTOR_PREFIX, RESOURCE_DESCRIPTOR_PREFIX, RESOURCE_REFERENCE, RESOURCE_TYPE, SAX_PARSER, SET_METHOD_ATTRIBUTE, STANDARD_INTERFACE, STANDARD_MBEAN, XMBEAN_DESCRIPTOR_PREFIX, XML_VALIDATION`

Fields inherited from interface org.jboss.mx.modelmbean.ModelMBeanConstants
`ACTION, ACTION_INFO, ALL_DESCRIPTORS, ATTRIBUTE_DESCRIPTOR, ATTRIBUTE_VALUE, CACHE_ALWAYS, CACHE_ALWAYS_LIMIT, CACHE_NEVER, CACHE_NEVER_LIMIT, CACHED_VALUE, CLASS, CONSTRUCTOR_DESCRIPTOR, CURRENCY_TIME_LIMIT, DEFAULT, DELEGATING_PM_OPERATION_DEFAULT_VALUE, DELEGATING_PM_OPERATION_DESCRIPTOR, DELEGATING_PM_SERVICE_DEFAULT_VALUE, DELEGATING_PM_SERVICE_DESCRIPTOR, DESCRIPTOR_TYPE, DISPLAY_NAME, EXPORT, GENERIC_MODELMBEAN_NOTIFICATION, GET_METHOD, HIGH_VISIBILITY, INFO, INTERCEPTORS, IS_IS, IS_READABLE, IS_WRITABLE, LAST_RETURNED_TIME_STAMP, LAST_UPDATED_TIME_STAMP, LAST_UPDATED_TIME_STAMP2, LOG, LOG_FILE, LOW_VISIBILITY, MBEAN_DESCRIPTOR, MBEAN_INFO_INJECTION_TYPE, MBEAN_SERVER_INJECTION_TYPE, MESSAGE_ID, MINIMAL_VISIBILITY, NAME, NORMAL_VISIBILITY, NOTIFICATION_DESCRIPTOR, OBJECT_NAME, OBJECT_NAME_INJECTION_TYPE, OBJECT_REF, OPERATION_DESCRIPTOR, PERSIST_INFO, PERSIST_LOCATION, PERSIST_NAME, PERSIST_PERIOD, PERSIST_POLICIES, PERSIST_POLICY, PERSISTENCE_MANAGER, PP_ALWAYS, PP_NEVER, PP_NO_MORE_OFTEN_THAN, PP_ON_TIMER, PP_ON_UPDATE, PRESENTATION_STRING, PROTOCOL_MAP, RESOURCE_CLASS, ROLE, ROLE_CONSTRUCTOR, ROLE_GETTER, ROLE_OPERATION, ROLE_SETTER, SET_METHOD, SEVERITY, SEVERITY_CRITICAL, SEVERITY_MAJOR, SEVERITY_MINOR, SEVERITY_NON_RECOVERABLE, SEVERITY_NORMAL, SEVERITY_UNKNOWN, SEVERITY_WARNING, TARGET_OBJECT, TARGET_TYPE, VISIBILITY`

Constructor Summary
`JBossXMBean10(String mmbClassName, String resourceClassName, org.dom4j.Element element, Map properties)`

Method Summary
`MBeanInfo` | `build()` Constructs the Model MBean metadata.
`protected ModelMBeanAttributeInfo[]` | `buildAttributeInfo(List attributes)`
`protected ModelMBeanConstructorInfo[]` | `buildConstructorInfo(List constructors)`
`protected Descriptor[]` | `buildInterceptors(org.dom4j.Element descriptor)`
`protected ModelMBeanInfo` | `buildMBeanMetaData(String description, List constructors, List operations, List attributes, List notifications, Descriptor descr)`
`protected ModelMBeanNotificationInfo[]` | `buildNotificationInfo(List notifications)`
`protected ModelMBeanOperationInfo[]` | `buildOperationInfo(List operations, List attributes)`
`protected MBeanParameterInfo[]` | `buildParameterInfo(List parameters)`
`protected Object` | `convertValue(String unconverted, String typeName)` Describe `convertType` method here.
`protected Object` | `getAttributeValue(org.dom4j.Element attribute, String typeName, String which)` Get the value for the attribute descriptor "value" or "default" the same way we would do for mbean attribute overrides
`protected Descriptor` | `getDescriptor(org.dom4j.Element parent, String infoName, String type)`

Methods inherited from class org.jboss.mx.metadata.AbstractBuilder
`getBooleanProperty, getProperties, getProperty, getStringProperty, setProperties, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossXMBean10

    public JBossXMBean10(String mmbClassName,
                         String resourceClassName,
                         org.dom4j.Element element,
                         Map properties)

Method Detail

### build

    public MBeanInfo build()
                    throws NotCompliantMBeanException

  Description copied from interface: `MetaDataBuilder`
  Constructs the Model MBean metadata.

  Specified by:
    `build` in interface `MetaDataBuilder`
  Specified by:
    `build` in class `AbstractBuilder`
  Throws:
    `NotCompliantMBeanException`

### getDescriptor

    protected Descriptor getDescriptor(org.dom4j.Element parent,
                                       String infoName,
                                       String type)
                                throws NotCompliantMBeanException

  Throws:
    `NotCompliantMBeanException`

### buildMBeanMetaData

    protected ModelMBeanInfo buildMBeanMetaData(String description,
                                                List constructors,
                                                List operations,
                                                List attributes,
                                                List notifications,
                                                Descriptor descr)
                                         throws NotCompliantMBeanException

  Throws:
    `NotCompliantMBeanException`

### buildConstructorInfo

    protected ModelMBeanConstructorInfo[] buildConstructorInfo(List constructors)
                                                        throws NotCompliantMBeanException

  Throws:
    `NotCompliantMBeanException`

### buildOperationInfo

    protected ModelMBeanOperationInfo[] buildOperationInfo(List operations,
                                                           List attributes)
                                                    throws NotCompliantMBeanException

  Throws:
    `NotCompliantMBeanException`

### buildNotificationInfo

    protected ModelMBeanNotificationInfo[] buildNotificationInfo(List notifications)
                                                          throws NotCompliantMBeanException

  Throws:
    `NotCompliantMBeanException`

### buildAttributeInfo

    protected ModelMBeanAttributeInfo[] buildAttributeInfo(List attributes)
                                                    throws NotCompliantMBeanException

  Throws:
    `NotCompliantMBeanException`

### getAttributeValue

    protected Object getAttributeValue(org.dom4j.Element attribute,
                                       String typeName,
                                       String which)
                                throws NotCompliantMBeanException

  Get the value for the attribute descriptor "value" or "default" the same way we would do for mbean attribute overrides

  Throws:
    `NotCompliantMBeanException`

### convertValue

    protected Object convertValue(String unconverted,
                                  String typeName)
                           throws NotCompliantMBeanException

  Describe `convertType` method here. Copied from ServiceConfigurator, without Element support.

  Parameters:
    `unconverted` - a `String` value
    `typeName` - a `String` value
  Returns:
    an `Object` value
  Throws:
    `NotCompliantMBeanException` - if an error occurs

### buildParameterInfo

    protected MBeanParameterInfo[] buildParameterInfo(List parameters)

### buildInterceptors

    protected Descriptor[] buildInterceptors(org.dom4j.Element descriptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.